Bug 505358 - Review Request: php-hkit - Simple PHP5 API for extracting common microformats from a page
Review Request: php-hkit - Simple PHP5 API for extracting common microformats...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: David Nalley
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-11 12:05 EDT by Patrick Monnerat
Modified: 2009-07-11 13:33 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-22 13:36:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
david: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Patrick Monnerat 2009-06-11 12:05:26 EDT
Spec URL: http://monnerat.fedorapeople.org/php-hkit.spec
SRPM URL: http://monnerat.fedorapeople.org/php-hkit-0.5-1.fc12.src.rpm

Description: hKit is a simple toolkit for extracting common microformats from a page.
The page can be presented as a string or a URL, and the result is handed
back as a standard PHP array structure. hKit uses SimpleXML for parsing,
and therefore requires PHP5.
  Designed for humans first and machines second, microformats are a set of
simple, open data formats built upon existing and widely adopted standards.
  The only microformat module currently supported by hKit is hCard. However,
hKit makes possible for a user to write its own microformat module.

rpmlint output: none
koji scratch build: http://koji.fedoraproject.org/koji/taskinfo?taskID=1405534
Comment 1 David Nalley 2009-06-17 10:56:45 EDT
%{_datadir}/php/*


You really want to own EVERYTHING in /usr/share/php/?
Comment 2 Patrick Monnerat 2009-06-17 11:03:17 EDT
Yes ! That is: everything that is installed by this package. This notation does not concern components outside the current package.
Comment 3 Ian Weller 2009-06-17 11:21:16 EDT
David, Patrick is correct. Since the only installed files in /usr/share/php are:

/usr/share/php/hcard.profile.php
/usr/share/php/hkit.class.php

those are the only files owned by this package. The key thing is that it does not own /usr/share/php, which is good.
Comment 4 David Nalley 2009-06-17 12:09:46 EDT
OK MUST: rpmlint must be run on every package. The output should be posted in the review. 
[ke4qqq@localhost SPECS]$ rpmlint ./php-hkit.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@localhost SPECS]$ rpmlint ../SRPMS/php-hkit-0.5-1.fc11.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.
[ke4qqq@localhost SPECS]$ rpmlint ../RPMS/noarch/php-hkit-0.5-1.fc11.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

OK MUST: The package must be named according to the  Package Naming Guidelines .

OK MUST: The spec file name must match the base package %{name}, in the format %{name}.spec unless your package has an exemption.  . 
OK MUST: The package must meet the   Packaging Guidelines .
OK MUST: The package must be licensed with a Fedora approved license and meet the   Licensing Guidelines .
LGPLv2+
[] MUST: The License field in the package spec file must match the actual license.
LGPLv2+ is cited in the class file, which maches what is in the spec 
NA MUST: If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package must be included in %doc.
Not included.
OK MUST: The spec file must be written in American English. 
OK MUST: The spec file for the package MUST be legible. 
OK MUST: The sources used to build the package must match the upstream source, as provided in the spec URL. Reviewers should use md5sum for this task.  If no upstream URL can be specified for this package, please see the   Source URL Guidelines  for how to deal with this.
[ke4qqq@localhost SOURCES]$ md5sum hkit-v0.5.tgz*
37f3c192a94a86cd96770d53b3f22095  hkit-v0.5.tgz
37f3c192a94a86cd96770d53b3f22095  hkit-v0.5.tgz.1

OK MUST: The package MUST successfully compile and build into binary rpms on at least one primary architecture. 
NA MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch. Each architecture listed in ExcludeArch MUST have a bug filed in bugzilla, describing the reason that the package does not compile/build/work on that architecture. The bug number MUST be placed in a comment, next to the corresponding ExcludeArch line. 
OK MUST: All build dependencies must be listed in BuildRequires, except for any that are listed in the exceptions section of the Packaging Guidelines ; inclusion of those as BuildRequires is optional. Apply common sense.
NA MUST: The spec file MUST handle locales properly. This is done by using the %find_lang macro. Using %{_datadir}/locale/* is strictly forbidden.
NA MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun. 
[] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review, along with the rationalization for relocation of that specific package. Without this, use of Prefix: /usr is considered a blocker. 
OK MUST: A package must own all directories that it creates. If it does not create a directory that it uses, then it should require a package which does create that directory.  
OK MUST: A Fedora package must not list a file more than once in the spec file's %files listings. 
OK MUST: Permissions on files must be set properly. Executables should be set with executable permissions, for example. Every %files section must include a %defattr(...) line. 
OK MUST: Each package must have a %clean section, which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK MUST: Each package must consistently use macros. 
OK MUST: The package must contain code, or permissable content. 
OK MUST: Large documentation files must go in a -doc subpackage. (The definition of large is left up to the packager's best judgement, but is not restricted to size. Large can refer to either size or quantity). 
OK MUST: If a package includes something as %doc, it must not affect the runtime of the application. To summarize: If it is in %doc, the program must run properly if it is not present. 
NA MUST: Header files must be in a -devel package. 
NA MUST: Static libraries must be in a -static package. 
NA MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig' (for directory ownership and usability). 
NA MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package. 
NA MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release}  
NA MUST: Packages must NOT contain any .la libtool archives, these must be removed in the spec if they are built.
NA MUST: Packages containing GUI applications must include a %{name}.desktop file, and that file must be properly installed with desktop-file-install in the %install section. If you feel that your packaged GUI application does not need a .desktop file, you must put a comment in the spec file with your explanation. 
OK MUST: Packages must not own files or directories already owned by other packages. The rule of thumb here is that the first package to be installed should own the files or directories that other packages may rely upon. This means, for example, that no package in Fedora should ever share ownership with any of the files or directories owned by the filesystem or man package. If you feel that you have a good reason to own a file or directory that another package owns, then please present that at package review time. 
OK MUST: At the beginning of %install, each package MUST run rm -rf %{buildroot} (or $RPM_BUILD_ROOT). 
OK MUST: All filenames in rpm packages must be valid UTF-8. 


Approved
Comment 5 Patrick Monnerat 2009-06-18 05:37:25 EDT
Many thanks for the review, David.

New Package CVS Request
=======================
Package Name: php-hkit
Short Description: Simple PHP5 API for extracting common microformats from a page
Owners: monnerat
Branches: F-10 F-11
InitialCC:
Comment 6 Jason Tibbitts 2009-06-18 16:16:55 EDT
CVS done.
Comment 7 Remi Collet 2009-06-19 01:39:13 EDT
I really regret the use of /usr/share/php

php-smpphp install in /usr/share/php/xmpphp
php-oauth install in /usr/share/php/oauth
...

I think we need a Guidelines about /usr/share/php usage.

+
Comment 8 Patrick Monnerat 2009-06-22 13:36:35 EDT
Imported and built in rawhide. Will handle the subdirectory on a separate bug report. Closing.
Comment 9 Patrick Monnerat 2009-07-02 12:49:03 EDT
No php-hkit component in BZ yet. Thus I comment changes here:

New version in rawhide:
* Thu Jul  2 2009 Patrick Monnerat <pm@datasphere.ch> 0.5-3.
- Move class files from /usr/share/php to /usr/share/php/hkit.
Comment 10 Fedora Update System 2009-07-07 08:46:29 EDT
php-hkit-0.5-3.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/php-hkit-0.5-3.fc10
Comment 11 Fedora Update System 2009-07-07 08:46:35 EDT
php-hkit-0.5-3.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/php-hkit-0.5-3.fc11
Comment 12 Fedora Update System 2009-07-11 13:25:22 EDT
php-hkit-0.5-3.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2009-07-11 13:33:55 EDT
php-hkit-0.5-3.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.